Package ch.qos.logback.access.filter

## Class StatisticalViewImpl

- java.lang.Object
- - ch.qos.logback.access.filter.StatisticalViewImpl

All Implemented Interfaces:
  `StatisticalView`, `LifeCycle`

    public class StatisticalViewImpl
    extends java.lang.Object
    implements StatisticalView, LifeCycle

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getDailyAverage()`
`double` `getHourlyAverage()`
`long` `getLastDaysCount()`
`long` `getLastHoursCount()`
`long` `getLastMinuteCount()`
`long` `getLastMonthsCount()`
`long` `getLastWeeksCount()`
`double` `getMinuteAverage()`
`double` `getMonthlyAverage()`
`long` `getTotal()`
`double` `getWeeklyAverage()`
`boolean` `isStarted()`
`void` `start()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDailyAverage

    public double getDailyAverage()

Specified by:
  `getDailyAverage` in interface `StatisticalView`

#### getLastDaysCount

    public long getLastDaysCount()

Specified by:
  `getLastDaysCount` in interface `StatisticalView`

#### getMonthlyAverage

    public double getMonthlyAverage()

Specified by:
  `getMonthlyAverage` in interface `StatisticalView`

#### getLastMonthsCount

    public long getLastMonthsCount()

Specified by:
  `getLastMonthsCount` in interface `StatisticalView`

#### getTotal

    public long getTotal()

Specified by:
  `getTotal` in interface `StatisticalView`

#### getWeeklyAverage

    public double getWeeklyAverage()

Specified by:
  `getWeeklyAverage` in interface `StatisticalView`

#### getLastWeeksCount

    public long getLastWeeksCount()

Specified by:
  `getLastWeeksCount` in interface `StatisticalView`

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`

#### isStarted

    public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`

#### stop

    public void stop()

Specified by:
  `stop` in interface `LifeCycle`

#### getLastMinuteCount

    public long getLastMinuteCount()

Specified by:
  `getLastMinuteCount` in interface `StatisticalView`

#### getMinuteAverage

    public double getMinuteAverage()

Specified by:
  `getMinuteAverage` in interface `StatisticalView`

#### getHourlyAverage

    public double getHourlyAverage()

Specified by:
  `getHourlyAverage` in interface `StatisticalView`

#### getLastHoursCount

    public long getLastHoursCount()

Specified by:
  `getLastHoursCount` in interface `StatisticalView`